DCMTK: dcmtk::log4cplus::BasicConfigurator Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
dcmtk::log4cplus::BasicConfigurator Class Reference

Use this class to quickly configure the package. More...

Inheritance diagram for dcmtk::log4cplus::BasicConfigurator:

## Static Public Member Functions
static void | doConfigure (Hierarchy &h=Logger::getDefaultHierarchy(), bool logToStdErr=false)
| This method eliminates the need to create a temporary `BasicConfigurator` object to configure log4cplus.
Static Public Member Functions inherited from dcmtk::log4cplus::PropertyConfigurator
static void | doConfigure (const log4cplus::tstring &configFilename, Hierarchy &h=Logger::getDefaultHierarchy(), unsigned flags=0)
| This method eliminates the need to create a temporary `PropertyConfigurator` to configure log4cplus.

## Static Public Attributes
static log4cplus::tstring const | DISABLE_OVERRIDE_KEY
| Property name for disable override.

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::PropertyConfigurator
virtual void | configure ()
| Read configuration from a file.
log4cplus::helpers::Properties const & | getProperties () const
log4cplus::tstring const & | getPropertyFilename () const

## Detailed Description

Use this class to quickly configure the package.

For file based configuration see PropertyConfigurator. BasicConfigurator automatically attaches ConsoleAppender to `rootLogger`, with output going to standard output, using DEBUG LogLevel value. The additional parameter logToStdErr may redirect the output to standard error.

## Member Function Documentation

## ◆ doConfigure()

void dcmtk::log4cplus::BasicConfigurator::doConfigure | ( | Hierarchy & | h = Logger::getDefaultHierarchy(),
|  | bool | logToStdErr = false )
| static

This method eliminates the need to create a temporary `BasicConfigurator` object to configure log4cplus.

It is equivalent to the following:
``

    BasicConfigurator config;
    config.configure();

References dcmtk::log4cplus::Logger::getDefaultHierarchy().

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/configrt.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1